import * as path from "path";
import { defineConfig } from "vitepress";
import { globbySync } from "globby";
import { fileURLToPath } from 'url'
import vueLiveMd from './vue-live-md-it.mjs'

const __filename = fileURLToPath(import.meta.url);
const __dirname = path.dirname(__filename);

// get all the components generated by vue-docgen-cli
const sidebarComponents = globbySync('components/**/*.md', { cwd: path.resolve(__dirname, '../')})

export default defineConfig({
  outDir: path.resolve(__dirname, '../../dist'),
  base: '/docgen-vite/',
  themeConfig: {
    sidebar: [
      {
        text: 'Components',
        items: sidebarComponents.map(comp => {
          return {
            text: comp.replace(/^components\//, '').replace(/\.md$/, ''),
            link: '/' + comp.replace(/\.md$/, '')
          }
        })
      }
    ]
  },
  markdown: {
    config(md){
      md.use(vueLiveMd)
    }
  }
})
